# OnnxRuntime: Ort::OpAttr Struct Reference

Loading...
Searching...
No Matches
Ort::OpAttr Struct Reference

This struct provides life time management for custom op attribute. More...

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::OpAttr:

## Public Member Functions

| OpAttr (const char *name, const void *data, int len, OrtOpAttrType type)
Public Member Functions inherited from Ort::detail::Base< OrtOpAttr >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| Base (const Base &)=delete
| Base (Base &&v) noexcept
| ~Base ()
Base & | operator= (const Base &)=delete
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Public Types inherited from Ort::detail::Base< OrtOpAttr >
using | contained_type = OrtOpAttr
Protected Attributes inherited from Ort::detail::Base< OrtOpAttr >
contained_type * | p_

## Detailed Description

This struct provides life time management for custom op attribute.

## Constructor & Destructor Documentation

## OpAttr()

Ort::OpAttr::OpAttr | ( | const char * | name,
|  | const void * | data,
|  | int | len,
|  | OrtOpAttrType | type
| ) |  |